# Action Calls

Action calls are endpoints that allow you to create new things within your White Swan account, enhancing and customizing the user experience. By using our action calls you can leverage your own front-end or data sources to build a highly bespoke experience for your clients.&#x20;

{% hint style="info" %}
To get a deeper understanding of how to integrate these actions with your product, refer to our [example use case on how to Integrate With App/Website ](/partner-knowledge-base/zapier-integration/example-use-cases/integrate-with-app-website-builders.md)Builders. When transferring data from other applications, it's beneficial to be familiar with the [data & API standards with White Swan](/partner-knowledge-base/api-documentation/data-and-api-standards.md).
{% endhint %}

#### Available Action Calls:

* [**Start Personal Plan Request**](/partner-knowledge-base/api-documentation/action-calls/start-personal-plan-request.md): This endpoint enables you to craft customized plan requests that can be embedded or linked out from your systems. By providing specific information for certain questions, you can streamline the user experience, skipping some steps or packaging life insurance offerings in diverse ways.
* [**Submit Complete Plan Request**](/partner-knowledge-base/api-documentation/action-calls/submit-complete-plan-request.md): This endpoint enables you to create an ultra-streamlined and tailored plan request experience. The end-user won't need to navigate through the plan request process and you can create tailored experiences adapted to advanced business needs.
* [**Create Pre-Fill Information**](/partner-knowledge-base/api-documentation/action-calls/create-pre-fill-information.md): Enhance the user experience by utilizing pre-existing data you possess about clients. This action aids in saving clients' time during the application process for plans.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/action-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
